<?php

namespace Lc\CaracoleBundle\Container\Reduction;

use Lc\CaracoleBundle\Factory\Reduction\ReductionCreditFactory;
use Lc\CaracoleBundle\Repository\Reduction\ReductionCreditRepositoryQuery;
use Lc\CaracoleBundle\Repository\Reduction\ReductionCreditStore;

class ReductionCreditContainer
{
    protected ReductionCreditFactory $factory;
    protected ReductionCreditRepositoryQuery $repositoryQuery;
    protected ReductionCreditStore $store;

    public function __construct(
            ReductionCreditFactory $factory,
            ReductionCreditRepositoryQuery $repositoryQuery,
            ReductionCreditStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): ReductionCreditFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ReductionCreditRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ReductionCreditStore
    {
        return $this->store;
    }

}