<?php

namespace Lc\CaracoleBundle\Container\User;

use Lc\CaracoleBundle\Builder\User\UserMerchantBuilder;
use Lc\CaracoleBundle\Factory\User\UserMerchantFactory;
use Lc\CaracoleBundle\Repository\User\UserMerchantRepositoryQuery;
use Lc\CaracoleBundle\Repository\User\UserMerchantStore;
use Lc\CaracoleBundle\Solver\User\UserMerchantSolver;

class UserMerchantContainer
{
    protected UserMerchantFactory $factory;
    protected UserMerchantSolver $solver;
    protected UserMerchantRepositoryQuery $repositoryQuery;
    protected UserMerchantStore $store;
    protected UserMerchantBuilder $builder;

    public function __construct(
            UserMerchantFactory $factory,
            UserMerchantSolver $solver,
            UserMerchantRepositoryQuery $repositoryQuery,
            UserMerchantStore $store,
            UserMerchantBuilder $builder
    ) {
        $this->factory = $factory;
        $this->solver = $solver;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
        $this->builder = $builder;
    }

    public function getFactory(): UserMerchantFactory
    {
        return $this->factory;
    }

    public function getSolver(): UserMerchantSolver
    {
        return $this->solver;
    }

    public function getRepositoryQuery(): UserMerchantRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): UserMerchantStore
    {
        return $this->store;
    }

    public function getBuilder(): UserMerchantBuilder
    {
        return $this->builder;
    }

}